## sarsen 0.9.2+ds

=== debian/changelog ===
sarsen (0.9.2+ds-2) unstable; urgency=medium

  * Source only upload.
  * Add missing test dependency on python3-pytest in d/tests/control.
  * Remove unnecessary versioned dependency.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Aug 2022 06:34:10 +0000

sarsen (0.9.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #1016758).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 20:14:37 +0000

## sarsen 0.9.3+ds

=== Makefile ===
PROJECT := sarsen
CONDA := conda
CONDAFLAGS :=
COV_REPORT := html

default: qa test type-check

qa:
	pre-commit run --all-files

test:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT)

doc-test:
	python -m pytest -vv --doctest-glob='*.md' README.md

type-check:
	python -m mypy --strict .

conda-env-update:
	$(CONDA) env update $(CONDAFLAGS) -f environment.yml

conda-env-update-all: conda-env-update
	$(CONDA) env update $(CONDAFLAGS) -f environment-dev.yml

=== debian/changelog ===
sarsen (0.9.3+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.

  [ Antonio Valentino ]
  * Disable tests requiring large memory in autopkgtests.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 10 Jan 2023 20:23:38 +0000

sarsen (0.9.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Nov 2022 13:40:15 +0000

=== debian/control ===
Source: sarsen
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-flox,
               python3-numpy,
               python3-pandas,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-rasterio,
               python3-rioxarray,
               python3-typer,
               python3-xarray (>= 2022.06.0),
               python3-xarray-sentinel
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/sarsen
Vcs-Git: https://salsa.debian.org/debian-gis-team/sarsen.git
Homepage: https://github.com/bopen/sarsen

Package: python3-sarsen
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Algorithms and utilities for Synthetic Aperture Radar (SAR) sensors
 Enables cloud-native SAR processing via Xarray and Dask.
 .
 Sarsen is a Python library and command line tool with the following
 functionalities:
 .
   * provides algorithms to terrain-correct satellite SAR data
     - geometric terrain correction (geocoding)
       * fast mode: to terrain-correct images
       * accurate mode: for interferometric processing
     - radiometric terrain correction (gamma flattening)
   * accesses SAR data via xarray-sentinel:
     - supports most Sentinel-1 data products as distributed by ESA:
       * Sentinel-1 Single Look Complex (SLC) SM/IW/EW
       * Sentinel-1 Ground Range Detected (GRD) SM/IW/EW
     - reads uncompressed and compressed SAFE data products on the local
       computer or on a network via fsspec
   * accesses DEM data via rioxarray:
     - reads local and remote data in virtually any raster format via
       rasterio / GDAL
   * supports larger-than-memory and distributed data access and processing
     via Dask
     - efficient geometric terrain-correction for a full GRD
     - efficient radiometric terrain-correction for a full GRD.

Package: sarsen
Architecture: all
Section: utils
Depends: python3-sarsen (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: Algorithms and utilities for Synthetic Aperture Radar (SAR) sensors -- scripts
 Enables cloud-native SAR processing via Xarray and Dask.
 .
 Sarsen is a Python library and command line tool with the following
 functionalities:
 .
   * provides algorithms to terrain-correct satellite SAR data
     - geometric terrain correction (geocoding)
       * fast mode: to terrain-correct images
       * accurate mode: for interferometric processing
     - radiometric terrain correction (gamma flattening)
   * accesses SAR data via xarray-sentinel:
     - supports most Sentinel-1 data products as distributed by ESA:
       * Sentinel-1 Single Look Complex (SLC) SM/IW/EW
       * Sentinel-1 Ground Range Detected (GRD) SM/IW/EW
     - reads uncompressed and compressed SAFE data products on the local
       computer or on a network via fsspec
   * accesses DEM data via rioxarray:
     - reads local and remote data in virtually any raster format via
       rasterio / GDAL
   * supports larger-than-memory and distributed data access and processing
     via Dask
     - efficient geometric terrain-correction for a full GRD
     - efficient radiometric terrain-correction for a full GRD.
 .
 This package contain executable programs provided by the sarsen Python
 package.

=== debian/rules ===
#! /usr/bin/make -f

# Skip tests that require a large amount of memory
export GITHUB_ACTIONS=true

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info
	$(RM) sarsen/version.py

override_dh_numpy3:
	dh_numpy3 -p python3-sarsen

## sarsen 0.9.4%2Bds

=== debian/changelog ===
sarsen (0.9.4+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/ptches:
    - New 0001-Mock-is-not-needed.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Dec 2024 08:42:55 +0000

sarsen (0.9.3+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Skip test_Sentinel1SarProduct on 32bit architectures.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Move the common package description to source.
    - Use the <!nocheck> marker.
  * Switch to autopkgtest-pkg-pybuild.
  * New d/python3-sarsen.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Dec 2023 07:29:02 +0000

## sarsen 0.9.4+ds

=== Makefile ===
PROJECT := sarsen
CONDA := conda
CONDAFLAGS :=
COV_REPORT := html

default: qa unit-tests type-check

qa:
	pre-commit run --all-files

unit-tests:
	python -m pytest -vv --cov=. --cov-report=$(COV_REPORT) --doctest-glob="*.md" --doctest-glob="*.rst"

type-check:
	python -m mypy .

conda-env-update:
	$(CONDA) install -y -c conda-forge conda-merge
	$(CONDA) run conda-merge environment.yml ci/environment-ci.yml > ci/combined-environment-ci.yml
	$(CONDA) env update $(CONDAFLAGS) -f ci/combined-environment-ci.yml

docker-build:
	docker build -t $(PROJECT) .

docker-run:
	docker run --rm -ti -v $(PWD):/srv $(PROJECT)

template-update:
	pre-commit run --all-files cruft -c .pre-commit-config-cruft.yaml

docs-build:
	cd docs && rm -fr _api && make clean && make html

# DO NOT EDIT ABOVE THIS LINE, ADD COMMANDS BELOW


doc-test:
	python -m pytest -vv --doctest-glob='*.md' README.md

=== debian/control ===
Source: sarsen
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-flox,
               python3-numpy,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-rasterio,
               python3-rioxarray,
               python3-typer,
               python3-xarray (>= 2022.06.0),
               python3-xarray-sentinel
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/sarsen
Vcs-Git: https://salsa.debian.org/debian-gis-team/sarsen.git
Homepage: https://github.com/bopen/sarsen
Description: Algorithms and utilities for Synthetic Aperture Radar (SAR) sensors
 Enables cloud-native SAR processing via Xarray and Dask.
 .
 Sarsen is a Python library and command line tool with the following
 functionalities:
 .
   * provides algorithms to terrain-correct satellite SAR data
     - geometric terrain correction (geocoding)
       * fast mode: to terrain-correct images
       * accurate mode: for interferometric processing
     - radiometric terrain correction (gamma flattening)
   * accesses SAR data via xarray-sentinel:
     - supports most Sentinel-1 data products as distributed by ESA:
       * Sentinel-1 Single Look Complex (SLC) SM/IW/EW
       * Sentinel-1 Ground Range Detected (GRD) SM/IW/EW
     - reads uncompressed and compressed SAFE data products on the local
       computer or on a network via fsspec
   * accesses DEM data via rioxarray:
     - reads local and remote data in virtually any raster format via
       rasterio / GDAL
   * supports larger-than-memory and distributed data access and processing
     via Dask
     - efficient geometric terrain-correction for a full GRD
     - efficient radiometric terrain-correction for a full GRD.

Package: python3-sarsen
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: sarsen
Architecture: all
Section: utils
Depends: python3-sarsen (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} -- scripts
 ${source:Extended-Description}
 .
 This package contain executable programs provided by the sarsen Python
 package.

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/bopen/sarsen/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sarsen 0.9.5%2Bds

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/architecture.mk
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	export PYBUILD_TEST_ARGS=-k "not test_Sentinel1SarProduct" $(CURDIR)/tests
endif

# Skip tests that require a large amount of memory
export GITHUB_ACTIONS=true

%:
	dh $@ --buildsystem=pybuild

override_dh_numpy3:
	dh_numpy3 -p python3-sarsen

## sarsen 0.9.5+ds

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	pre-commit run --all-files cruft -c .pre-commit-config-cruft.yaml
 
 docs-build:
-	cd docs && rm -fr _api && make clean && make html
+	cp README.md docs/. && cd docs && rm -fr _api && make clean && make html
 
 # DO NOT EDIT ABOVE THIS LINE, ADD COMMANDS BELOW

=== debian/changelog ===
sarsen (0.9.5+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1114363).
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.
    - Drop unneeded versioned dependencies.
    - Add missing build dependency on python3-numpy-dev for command dh_numpy3.
  * debian/patches:
    - Drop 0001-Mock-is-not-needed.patch, applied upstream.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 10:04:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -21,9 +20,10 @@
                python3-rasterio,
                python3-rioxarray,
                python3-typer,
-               python3-xarray (>= 2022.06.0),
-               python3-xarray-sentinel
-Standards-Version: 4.7.0
+               python3-xarray,
+               python3-xarray-sentinel,
+               python3-numpy-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sarsen
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sarsen.git
 Homepage: https://github.com/bopen/sarsen
